# Class SocketFactoryUtil

java.lang.Object
com.databricks.jdbc.common.util.SocketFactoryUtil

public class SocketFactoryUtil extends Object

## Constructor Summary

Constructors
Constructor
Description
`SocketFactoryUtil()`

## Method Summary

Modifier and Type
Method
Description
`static org.apache.http.config.Registry<org.apache.http.conn.socket.ConnectionSocketFactory>`
`getTrustAllSocketFactoryRegistry()`
Builds a registry of connection socket factories that trusts all SSL certificates.
`static TrustManager[]`
`getTrustManagerThatTrustsAllCertificates()`
Creates a TrustManager array that accepts all certificates without validation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SocketFactoryUtil

public SocketFactoryUtil()

## Method Details

### getTrustAllSocketFactoryRegistry

public static org.apache.http.config.Registry<org.apache.http.conn.socket.ConnectionSocketFactory> getTrustAllSocketFactoryRegistry()
Builds a registry of connection socket factories that trusts all SSL certificates. This should only be used in testing environments or when explicitly configured to allow self-signed certificates.

Returns:
  A registry of connection socket factories.

### getTrustManagerThatTrustsAllCertificates

public static TrustManager[] getTrustManagerThatTrustsAllCertificates()
Creates a TrustManager array that accepts all certificates without validation. This should only be used in testing environments or when explicitly configured to allow self-signed certificates.

Returns:
  An array containing a single TrustManager that trusts all certificates.